Package org.lwjgl.opencl

# Class KHRGLEvent

java.lang.Object
org.lwjgl.opencl.KHRGLEvent

public final class KHRGLEvent extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CL_COMMAND_GL_FENCE_SYNC_OBJECT_KHR`
Returned by clGetEventInfo when param_name is CL_EVENT_COMMAND_TYPE:

## Method Summary

Modifier and Type
Method
Description
`static CLEvent`
`clCreateEventFromGLsyncKHR(CLContext context, GLSync sync, IntBuffer errcode_ret)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CL_COMMAND_GL_FENCE_SYNC_OBJECT_KHR

public static final int CL_COMMAND_GL_FENCE_SYNC_OBJECT_KHR
Returned by clGetEventInfo when param_name is CL_EVENT_COMMAND_TYPE:

See Also:
  - Constant Field Values

## Method Details

### clCreateEventFromGLsyncKHR

public static CLEvent clCreateEventFromGLsyncKHR(CLContext context, GLSync sync, IntBuffer errcode_ret)